GPICK(1)

NAME
gpick - advanced color picker

SYNOPSIS
gpick [FILE]

DESCRIPTION
gpick starts an application and opens FILE if it is specified

OPTIONS

-v, --version
    Print version information.

-g, --geometry
    Window geometry.

-p, --pick
    Pick a color. You can insert the color at point to the clipboard by pressing CTRL-C. To hide the floating instance, press ESC. When this option is used, gpick is left running in the background, so that all other floating instances don't start a new process. If closing the process is needed, then use the -s flag.

-s, --single
    Pick one color and exit.

-o, --output
    Output picked color.

-c, --converter-name
    Converter name used for floating picker mode. Available converters are "color_web_hex", "color_css_rgb" and "color_css_hsl".

--no-newline
    Output picked color without newline.

--no-start
    Do not start if not running already.

EXAMPLES

Here are some gpick usage examples

gpick -o -s

Opens a floating instance (i.e. it is not left run in the background) and send the selected color to STDOUT.

gpick -o -s -c color_css_hsl | xclip -sel c

Inserts the selected color into the CLIPBOARD using the CSS HSL notation.

AUTHOR
Written by Albertas Vyšniauskas